<?php
namespace App\Model\Entities\Security;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="steam_account")
 */
class SteamAccount extends BaseAuthenticationEntity
{
    /**
     * @ORM\Column(type="string", unique=true)
     */
    protected $steamKey;

    /**
     * SteamAccount constructor.
     * @param $key
     */
    public function __construct($key)
    {
        parent::__construct();

        $this->steamKey = $key;
    }

    /**
     * @return mixed
     */
    public function getSteamKey()
    {
        return $this->steamKey;
    }
}